## rust-gdkx11 0.14.0

=== debian/changelog ===
rust-gdkx11 (0.14.0-1) unstable; urgency=medium

  * Package gdkx11 0.14.0 from crates.io using debcargo 2.4.4

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Fri, 11 Mar 2022 10:14:30 +0100
