## rust-gdkx11 0.16.0

=== debian/changelog ===
rust-gdkx11 (0.16.0-2) unstable; urgency=medium

  * Package gdkx11 0.16.0 from crates.io using debcargo 2.6.0

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Sun, 25 Jun 2023 21:01:44 +0200

rust-gdkx11 (0.16.0-1) experimental; urgency=medium

  * Package gdkx11 0.16.0 from crates.io using debcargo 2.6.0
  * Added myself to uploaders

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Sat, 20 May 2023 15:19:42 +0200
