=== debian/control ===
Source: rust-gdkx11
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-gdk-0.16+default-dev <!nocheck>,
 librust-gdkx11-sys-0.16+default-dev <!nocheck>,
 librust-gio-0.16+default-dev <!nocheck>,
 librust-glib-0.16+default-dev <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>,
 librust-x11-2+default-dev (>= 2.18-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Henry-Nicolas Tourneur <debian@nilux.be>,
 Matthias Geiger <matthias.geiger1024@tutanota.de>
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/gdkx11]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/gdkx11
Homepage: https://gtk-rs.org/
X-Cargo-Crate: gdkx11
Rules-Requires-Root: no

Package: librust-gdkx11-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-0.16+default-dev,
 librust-gdk-0.16+dox-dev,
 librust-gdkx11-sys-0.16+default-dev,
 librust-gdkx11-sys-0.16+dox-dev,
 librust-gdkx11-sys-0.16+v3-24-2-dev,
 librust-gio-0.16+default-dev,
 librust-gio-0.16+dox-dev,
 librust-glib-0.16+default-dev,
 librust-glib-0.16+dox-dev,
 librust-libc-0.2+default-dev,
 librust-x11-2+default-dev (>= 2.18-~~),
 librust-x11-2+dox-dev (>= 2.18-~~)
Provides:
 librust-gdkx11+default-dev (= ${binary:Version}),
 librust-gdkx11+dox-dev (= ${binary:Version}),
 librust-gdkx11+v3-24-dev (= ${binary:Version}),
 librust-gdkx11-0-dev (= ${binary:Version}),
 librust-gdkx11-0+default-dev (= ${binary:Version}),
 librust-gdkx11-0+dox-dev (= ${binary:Version}),
 librust-gdkx11-0+v3-24-dev (= ${binary:Version}),
 librust-gdkx11-0.16-dev (= ${binary:Version}),
 librust-gdkx11-0.16+default-dev (= ${binary:Version}),
 librust-gdkx11-0.16+dox-dev (= ${binary:Version}),
 librust-gdkx11-0.16+v3-24-dev (= ${binary:Version}),
 librust-gdkx11-0.16.0-dev (= ${binary:Version}),
 librust-gdkx11-0.16.0+default-dev (= ${binary:Version}),
 librust-gdkx11-0.16.0+dox-dev (= ${binary:Version}),
 librust-gdkx11-0.16.0+v3-24-dev (= ${binary:Version})
Description: Rust bindings for the GDK X11 library - Rust source code
 This package contains the source for the Rust gdkx11 crate, packaged by
 debcargo for use with cargo and dh-cargo.
