=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test gdkx11 0.16.0 --all-targets --all-features
Features: test-name=rust-gdkx11:@
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdkx11 0.16.0 --all-targets
Features: test-name=librust-gdkx11-dev:default
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdkx11 0.16.0 --all-targets --no-default-features --features dox
Features: test-name=librust-gdkx11-dev:dox
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdkx11 0.16.0 --all-targets --no-default-features --features v3_24
Features: test-name=librust-gdkx11-dev:v3_24
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdkx11 0.16.0 --all-targets --no-default-features
Features: test-name=librust-gdkx11-dev:
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable
