## rust-gdkx11 0.17.0

=== debian/changelog ===
rust-gdkx11 (0.17.0-1) unstable; urgency=medium

  * Team upload.
  * Package gdkx11 0.17.0 from crates.io using debcargo 2.6.0
  * Removed inactive uploader, added my new mail address
  * Added relax-gir-dep.diff patch to enable tests

 -- Matthias Geiger <werdahias@riseup.net>  Wed, 02 Aug 2023 00:24:42 +0200
