## rust-gdkx11 0.18.0

=== debian/changelog ===
rust-gdkx11 (0.18.0-3) unstable; urgency=medium

  * Team upload
  * Package gdkx11 0.18.0 from crates.io using debcargo 2.6.0
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 28 Sep 2023 15:38:04 -0400

rust-gdkx11 (0.18.0-2) experimental; urgency=medium

  * Specify dependency on rustc 1.70

 -- Matthias Geiger <werdahias@riseup.net>  Sat, 16 Sep 2023 13:05:19 +0200

rust-gdkx11 (0.18.0-1) experimental; urgency=medium

  * Package gdkx11 0.18.0 from crates.io using debcargo 2.6.0
  * Regenerate source code with debian tools before build
  * Rebased patches

 -- Matthias Geiger <werdahias@riseup.net>  Fri, 15 Sep 2023 23:01:39 +0200
